org.keycloak.dom.xmlsec.w3.xmlenc

## Class EncryptionPropertiesType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmlenc.EncryptionPropertiesType

-     public class EncryptionPropertiesType
      extends Object

  Java class for EncryptionPropertiesType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EncryptionPropertiesType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.w3.org/2001/04/xmlenc#}EncryptionProperty" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<EncryptionPropertyType>` | `encryptionProperty`
    `protected String` | `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncryptionPropertiesType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEncryptionProperty(EncryptionPropertyType enc)`
    `List<EncryptionPropertyType>` | `getEncryptionProperty()` Gets the value of the encryptionProperty property.
    `String` | `getId()` Gets the value of the id property.
    `void` | `removeEncryptionProperty(EncryptionPropertyType enc)`
    `void` | `setId(String value)` Sets the value of the id property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### encryptionProperty

          protected List<EncryptionPropertyType> encryptionProperty

    - #### id

          protected String id

  - ### Constructor Detail

    - #### EncryptionPropertiesType

          public EncryptionPropertiesType()

  - ### Method Detail

    - #### addEncryptionProperty

          public void addEncryptionProperty(EncryptionPropertyType enc)

    - #### removeEncryptionProperty

          public void removeEncryptionProperty(EncryptionPropertyType enc)

    - #### getEncryptionProperty

          public List<EncryptionPropertyType> getEncryptionProperty()

      Gets the value of the encryptionProperty property.

      Objects of the following type(s) are allowed in the list `EncryptionPropertyType`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2016 JBoss by Red Hat. All rights reserved.